mysite/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('', include('polls.urls')),
    path('admin/', admin.site.urls),
]

polls/urls.py
from django.urls import path
from . import views

app_name = 'polls'

urlpatterns = [
    path('', views.HomeView.as_view(), name='homepage'),
    path('questoes/', views.IndexView.as_view(), name='questoes'),
    path('<int:pk>/', views.DetailView.as_view(), name='detail'),
    path('<int:pk>/results/', views.ResultsView.as_view(), name='results'),
    path('<int:question_id>/votes', views.votes, name='votes'),
]

polls/models.py
import datetime
from django.db import models
from django.utils import timezone

class Question(models.Model):
    question_text = models.CharField(max_length=200)
    pub_date = models.DateTimeField('Data de Publicação')
    def __str__(self):
        return self.question_text
    def was_published_recently(self):
        return self.pub_date >= timezone.now() - datetime.timedelta(days=1)

class Choice(models.Model):
    question = models.ForeignKey(Question,on_delete=models.CASCADE)
    choice_text = models.CharField(max_length=200)
    votes = models.IntegerField(default=0)
    def __str__(self):
        return self.choice_text

class Teste(models.Model):
    question_text = models.CharField(max_length=200)

polls/views.py
from django.http import HttpResponseRedirect
from django.shortcuts import get_object_or_404 , render
from django.urls import reverse
from django.views import generic

from .models import Choice, Question, Teste

class IndexView(generic.ListView) :
    template_name = 'polls/index.html'
    context_object_name = 'latest_question_list'
    def get_queryset(self):
        return Question.objects.order_by('-pub_date')[:25]

    #latest_question_list = Question.objects.order_by('-pub_date')[:5]
    #context = {'latest_question_list': latest_question_list}
    #return render(request, 'polls/index.html', context)

class HomeView(generic.ListView) :
    model = Teste
    template_name = 'polls/homepage.html'



class DetailView(generic.DetailView) :
    model = Question
    template_name = 'polls/detail.html'

    #question = get_object_or_404(Question, pk=question_id)
    #return render(request,'polls/detail.html', {'question':question})

class ResultsView(generic.DetailView):
    model = Question
    template_name = 'polls/results.html'

    #question = get_object_or_404(Question, pk=question_id)
    #return render(request, 'polls/results.html', {'question':question})

def votes(request, question_id):
    question = get_object_or_404(Question, pk=question_id)
    try:
        selected_choice = question.choice_set.get(pk=request.POST['choice'])
    except (KeyError, Choice.DoesNotExist):
        return render(request, 'polls/detail.html', {
            'question':question, 'error_message':"Você não selecionou uma opção"
        })
    else:
        selected_choice.votes += 1
        selected_choice.save()
        return HttpResponseRedirect(reverse('polls:results', args=(question_id,)))

polls/templates/polls/detail.html
{% load static %}

<html>
    <head>
        <title>Página de Votação</title>
        <link rel="stylesheet" type="text/css" href="{% static 'enquetes/css/detail.css' %}"/>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">
        <link href='https://fonts.googleapis.com/css?family=Poppins' rel='stylesheet'>


    </head>
    <body class="corpo">
        <header>
            <div class="logo">
                <h1>Enquetes<span>App</span></h1>
                <p>Escolha suas preferências</p>
            </div>
        </header>

         <section>
            <div class="titulo">
                <h1>{{ question.question_text }}</h1>
                <span>Entre as opções apresentadas, escolha a que você mais gostou</span>
            </div>
            {% if error_message %}
                <p><strong>{{ error_message }}</strong></p>
            {% endif %}
            <form action="{% url 'polls:votes' question.id %}" method="post">
                {% csrf_token %}
                {% for choice in question.choice_set.all %}
                <div class="questoes">
                    <label for="choice{{ forloop.counter }}" id="{{ forloop.counter }}" onclick="check{{ forloop.counter }}()">{{ choice.choice_text }}</label>
                    <input type="radio" name="choice" id="choice{{ forloop.counter }}" value="{{ choice.id }}">
                </div>
                {% endfor %}
                <div class="btns">
                    <button type="submit" value="Votar">Votar</button>
                    <button type="submit"><a href="/">Página principal</a></button>
                </div>
            </form>
        </section>


        <footer>

        </footer>
    <script src="{% static 'enquetes/script/detail.js' %}"></script>
    </body>
</html>

polls/templates/polls/homepage.html
{% load static %}
<html>
    <head>

        <title>Página Inicial</title>
        <link rel="stylesheet" type="text/css" href="{% static 'enquetes/css/homepage.css' %}"/>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">
        <link href='https://fonts.googleapis.com/css?family=Poppins' rel='stylesheet'>
    </head>
    <body class="corpo">
        <header>
            <div class="logo">
                <h1>Enquetes<span>App</span></h1>
                <p>Escolha suas preferências</p>
            </div>
                <div class="nav">
                    <div class="nav-um">
                        <label for="check" class="menu" id="menu" onclick="drop()">Enquetes disponíveis</label>
                        <input type="checkbox" class="check" id="check">
                        <div class="sub-menu" id="sub-menu">
                            <a href="/6" class="item">Trilogia Matrix</a>
                            <a href="/5" class="item">Universo Star Wars</a>
                            <a href="/4" class="item">Trilogia The Hobbit</a>
                            <a href="/3" class="item">UMC</a>
                            <a href="/2" class="item">Trilogia Lord of The Rings</a>
                        </div>
                    </div>

                    <div class="nav-dois">
                        <label for="check-dois" class="menu-dois" id="menu-dois" onclick="drop2()">Parciais</label>
                        <input type="checkbox" class="check-dois" id="check-dois">
                        <div class="sub-menu-dois" id="sub-menu-dois">
                            <a href="/6/results/" class="item">Trilogia Matrix</a>
                            <a href="/5/results/" class="item">Universo Star Wars</a>
                            <a href="/4/results/" class="item">Trilogia The Hobbit</a>
                            <a href="/3/results/" class="item">UMC</a>
                            <a href="/2/results/" class="item">Trilogia Lord of The Rings</a>
                        </div>
                    </div>
                </div>
        </header>

        <section>
            <div class="texto">
                <h1>Escolha seus filmes preferidos</h1>
                <p>informe sua opinião sobre os melhores filmes pertencentes a cada opção de franquia apresentada</p>
            </div>
        </section>

        <footer>
            <div class="logo-ftr">
                <h1>Enquetes<span>App</span></h1>
                <p>Escolha suas preferências</p>
            </div>
            <a href="/admin">Admin</a>
        </footer>

        <script src="{% static 'enquetes/script/homepage.js' %}"></script>
    </body>
</html>

polls/templates/polls/index.html
{% load static %}
<html>
    <head>

        <title>Enquetes App</title>
        <link rel="stylesheet" type="text/css" href="{% static 'enquetes/css/index.css' %}"/>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-pprn3073KE6tl6bjs2QrFaJGz5/SUsLqktiwsUTF55Jfv3qYSDhgCecCxMW52nD2" crossorigin="anonymous"></script>

    </head>
    <body class="corpo">
        <div class='titulo'>
            <div class='img-t'>
                <h1>Melhores Filmes:</h1>
                <img src="{% static 'enquetes/img/logo trab dsw.jpg' %}" alt="Logo da aplicação" width="70"/>
            </div>
        <h3>Informe suas preferências para cada opção apresentada.</h3>
        </div>
        <div class='questoes'>
            {% if latest_question_list %}
                <ul class="quest">
                    {% for question in latest_question_list %}
                        <li>
                            <a href="{% url 'polls:detail' question.id %}">{{ question.question_text }}</a>
                            (<a class="parc" href="{% url 'polls:results' question.id %}">ver parcial</a>)
                        </li>
                    {% endfor%}
                </ul>
                <hr>
            {% else %}
                <p>Nenhuma enquete diponível até o momento.</p>
            {% endif %}
        </div>
            <a class="btn btn-outline-primary" role="button" href="/admin">Acessar interface de administração</a>
    </body>
</html>

polls/templates/polls/results.html
{% load static %}

<html>
    <head>

        <title>Página de Votação</title>
        <link rel="stylesheet" type="text/css" href="{% static 'enquetes/css/results.css' %}"/>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-pprn3073KE6tl6bjs2QrFaJGz5/SUsLqktiwsUTF55Jfv3qYSDhgCecCxMW52nD2" crossorigin="anonymous"></script>
        <link href='https://fonts.googleapis.com/css?family=Poppins' rel='stylesheet'>

    </head>
    <body class="corpo">
        <header>
            <div class="logo">
                <h1>Enquetes<span>App</span></h1>
                <p>Escolha suas preferências</p>
            </div>
        </header>

        <section>
            <div class="titulo">
                <h1>{{ question.question_text }}</h1>
                <span>Resultado parcial da enquete</span>
            </div>

            {% for choice in question.choice_set.all %}
             <input type="radio" id="{{forloop.counter}}" name="y" value="{{ choice.votes }}">
            {% endfor %}

            <div class="resutados">
                {% for choice in question.choice_set.all %}
                <div class="questao">
                    <label for="{{ forloop.counter }}" id="lb{{ forloop.counter }}"
                    onclick="drop{{ forloop.counter }}(), porcentagem({{ choice.votes }},{{ forloop.counter }})">
                    {{ choice.choice_text }}
                    </label>
                    <input type="radio" name="resultado" id="{{ forloop.counter }}">
                        <div class="dados" id="dados{{ forloop.counter }}">
                            <span>Quantidade de votos:   {{ choice.votes }}</span>
                            <span>   Porcentagem dos votos:  <span id="p{{ forloop.counter }}"></span>%</span>
                        </div>
                </div>
                {% endfor %}

            <div class="btns">
                <button type="submit"><a href="{% url 'polls:detail' question.id %}">Votar novamente</a></button>
                <button type="submit"><a href="/">Página principal</a></button>
            </div>
        </section>

        <footer>

        </footer>
        <script src="{% static 'enquetes/script/results.js' %}"></script>
</body>